using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Domain;

namespace Dao.Implement
{
    public class LieECORepository : RepositoryBase<LieECO>,ILieECORepository
    {

        public int Add(LieECO entity)
        {
            object obj= this.Save(entity);
            return int.Parse(obj.ToString());
        }

        public LieECO GetDataBy(string hotelcode)
        {
            var qqq= this.LoadAll().Where(A=>A.HotelCode.Equals(hotelcode)).FirstOrDefault();
            return qqq;
        }
    }
}
